Package anbxj

# Class Channel_Client

java.lang.Object
anbxj.Channel_Abstraction
anbxj.Channel_Client

public class Channel_Client extends Channel_Abstraction
Client Channel

- ## Field Summary

  ### Fields inherited from class anbxj.Channel_Abstraction

  `cp`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Channel_Client(Channel_Properties cp)`
  create a channel client

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `Close()`
  Close channel streams
  `void`
  `Open()`
  Opens the channel, by invoking the checkPort method.
  `protected static void`
  `setMaxRetries(int maxRetries)`
  set the max number of attempts if the client is unable to connect to the server
  `protected static void`
  `setRetryDelayMs(int retryDelayMs)`
  set the time interval between connection attempts
  `static void`
  `setTimeoutMs(int timeoutMs)`
  Set the channel timeout

  ### Methods inherited from class anbxj.Channel_Abstraction

  `checkPort, getChannelRole, OpenStreams, Receive, Receive, safeReadObject, Send`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Channel_Client

    public Channel_Client(Channel_Properties cp)
    create a channel client
    Parameters:
      `cp` - the channel properties

- ## Method Details

  - ### Close

    public void Close()
    Description copied from class: `Channel_Abstraction`
    Close channel streams
    Overrides:
      `Close` in class `Channel_Abstraction`

  - ### Open

    public void Open()
    Description copied from class: `Channel_Abstraction`
    Opens the channel, by invoking the checkPort method.
    Overrides:
      `Open` in class `Channel_Abstraction`

  - ### setTimeoutMs

    public static void setTimeoutMs(int timeoutMs)
    Set the channel timeout
    Parameters:
      `timeoutMs` - the timeout in milliseconds

  - ### setMaxRetries

    protected static void setMaxRetries(int maxRetries)
    set the max number of attempts if the client is unable to connect to the server
    Parameters:
      `maxRetries` - the number of attemps

  - ### setRetryDelayMs

    protected static void setRetryDelayMs(int retryDelayMs)
    set the time interval between connection attempts
    Parameters:
      `retryDelayMs` - the the time interval in milliseconds